Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 27 Aug 2014, 05:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
where can I get updates for GLIBCXX_3.4.15
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
ander882

Joined: 15 Mar 2012
Posts: 2

PostPosted: Thu 15 Mar 2012, 10:24    Post_subject:  where can I get updates for GLIBCXX_3.4.15
Sub_title: game/system/stepmania
 

I am trying to get stepmania running (and get off of win 2000). Smile
The newest stepmania requires the following (as per the README.TXT:
stepmania requires:
glibc >= 2.11
glibcxx >= 3.4.15
glew == 1.5
ffmpeg >= 0.7.4 < 0.8.1
mesa
libGL
libjpeg == 8c
libtheora >= 1.1.1
libvorbis >= 1.3
libogg >= 1.3
libxcb >= 1.7
libmad
libpulse

I was able to add libjpeg8 and libGLEW and a couple of others easily, but I am running into this error:

/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by ./stepmania)

libstdc++ requires libc, glibc, glibcxx. Is there a package of these or can I (and order of) get the individually?

thanks!

It would be so nice to get off of the 2000 box and super slow boot up times. And to be able to just turn off the machine without all of the disk checking junk. Smile

Oh, and hopefully this is in the right area.

Craig A.
Back to top
View user's profile Send_private_message 
darkcity


Joined: 23 May 2010
Posts: 2439
Location: near here

PostPosted: Thu 15 Mar 2012, 10:45    Post_subject:  

Welcome to the kennels Cool

Which version of Puppy are you using, Slacko has-
/usr/lib/libstdc++.so.6

although according this thread
https://bbs.archlinux.org/viewtopic.php?pid=1065388

the following command will reveal which glibcxx versions are present
Code:
strings /usr/lib/libstdc++.so.6 | grep GLIBCXX


http://gcc.gnu.org/libstdc++/

sometimes it useful to use pfind to search system files - sometimes libraries just need to be linked to the right place.

EDIT not sure if strings command is in Puppy Devx - downloading to check

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send_private_message Visit_website 
darkcity


Joined: 23 May 2010
Posts: 2439
Location: near here

PostPosted: Thu 15 Mar 2012, 13:34    Post_subject:  

strings command is part of BinUtils, which can be had here-
http://puppylinux.org/wikka/BinUtils

in slacko

Code:
# strings /usr/lib/libstdc++.so.6 | grep GLIBC
GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBCXX_3.4.10
GLIBCXX_3.4.11
GLIBCXX_3.4.12
GLIBCXX_3.4.13
GLIBCXX_3.4.14
GLIBC_2.0
GLIBC_2.3
GLIBC_2.1
GLIBC_2.1.3
GLIBC_2.3.2
GLIBC_2.2
GLIBCXX_FORCE_NEW
GLIBCXX_DEBUG_MESSAGE_LENGTH


looks like you may need to compile the latest libstdc++, unless you can find a pet or compatible package for libstdc++.so.6.0.16 or greater

http://www.linuxquestions.org/questions/slackware-14/usr-lib64-libstdc-so-6-version-%60glibcxx_3-4-15-not-found-919350/

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send_private_message Visit_website 
666philb


Joined: 07 Feb 2010
Posts: 1660
Location: wales

PostPosted: Thu 15 Mar 2012, 13:48    Post_subject:  

hi ander882

these older versions are working on lucid puppy
http://sourceforge.net/projects/stepmania/files/stepmania/3.9/StepMania-3.9a-linux.tar.gz/download

http://sourceforge.net/projects/stepmania/files/latest/download?source=files

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send_private_message 
ander882

Joined: 15 Mar 2012
Posts: 2

PostPosted: Thu 15 Mar 2012, 14:35    Post_subject:  

Rats. I didn't mention that I'm on 5.2.8 (hopefully 004 as I applied the 004 update pet).

Thanks for the BinUtils. It is available in another version (slacko?) but not Lucid. I've got them now.

I've checked and both Lucid and Slacko only have GLIBCXX up to 3.4.14.

Hmm. not use to pfind. And when I do 'man pfind' I get the man page for perlos2.... interesting.... I'll continue using find.

find shows me I have libstdc++ versions 5.6 and 6.13. I need at least a version 6.15? maybe 6.14. I'm not sure there.

hahahaha. I've already read the link that darkcity gives (with the BinUtils - Thanks). It is quite funny.

Hmm. Maybe I'll try to download a binary version of this file. But I was wondering if this was all part of a tool chain (ie, for one you need to get all). And if there might already be one avaiable...

thanks for all of your help. I'll post to keep you all updated on my stepmania endeavors...

Craig A.
Back to top
View user's profile Send_private_message 
666philb


Joined: 07 Feb 2010
Posts: 1660
Location: wales

PostPosted: Fri 16 Mar 2012, 11:55    Post_subject:  

hi ander882

no need to update glibc ..... stepmania 5 compiles against the glibc on lucid puppy.

i needed a different ffmpeg for it to compile though

works Smile

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0543s ][ Queries: 11 (0.0036s) ][ GZIP on ]